Package: grails.databinding.converters

## [Java] Interface FormattedValueConverter

-     public interface FormattedValueConverter

  Classes which implement this interface may participate in the data binding process as formatted value converters.

      import org.grails.databinding.converters.FormattedValueConverter

      class FormattedStringValueConverter implements FormattedValueConverter {
          def convert(value, String format) {
              if('UPPERCASE' == format) {
                  value = value.toUpperCase()
              } else if('LOWERCASE' == format) {
                  value = value.toLowerCase()
              }
              value
          }

          Class getTargetType() {
              // specifies the type to which this converter may be applied
              String
          }
      }

  Authors:
    Jeff Brown
  Since:
    3.0
  See Also:
    BindingFormat
    org.grails.databinding.SimpleDataBinder
    org.grails.databinding.SimpleDataBinder#registerFormattedValueConverter(FormattedValueConverter)

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Object` | `convert(java.lang.Object value, java.lang.String format)` Return a formatted value
    `` | `public java.lang.Class<?>` | `getTargetType()` Returns: the output type of this converter

- - ### Method Detail

    - #### public java.lang.Object convert(java.lang.Object value, java.lang.String format)

      Return a formatted value

      Parameters:
        `value` - The value to be formatted
        `format` - The format String
      Returns:
        the formatted value

    - #### public java.lang.Class<?> getTargetType()

      Returns:
        the output type of this converter